#
# spec file for package openSUSE-release.spec
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define product Leap
%define betaversion Alpha%{nil}
%define codename Leap
Name:           openSUSE-release
Version:        15.6
Release:        lp156.356.1
# 1 is the product release, not the build release of this package 
Provides:       aaa_version
Provides:       distribution-release
Provides:       suse-release = %{version}-%{release}
Provides:       suse-release-oss = %{version}-%{release}
%if 0%{?beta_version}
# Give zypp a hint that this product must be kept up-to-date using zypper dup, not up (boo#1061384)
Provides:       product-update() = dup
%endif
# relaxes openSUSE/SUSE vendor change in zypper dup bsc#1182629
Provides:       dup-vendor-relax(suse)
# In case we have more than one product in the FTP tree, we need to give yast a hint
Provides:       system-installation() = Leap
Provides:       system-installation() = openSUSE
Obsoletes:      aaa_version
Obsoletes:      openSUSE-Promo-release <= 11.1
Obsoletes:      openSUSE-release-live <= 11.0
Obsoletes:      product_flavor(openSUSE) < 15.6
Obsoletes:      product_flavor(%{product}) < 15.6
Conflicts:      sles-release <= 10 sled-release <= 10 core-release <= 10
Conflicts:      otherproviders(distribution-release)
# bnc#826592
Provides:       weakremover(kernel-default) < 3.11
Provides:       weakremover(kernel-desktop) < 4.2
Provides:       weakremover(kernel-ec2) < 3.11
Provides:       weakremover(kernel-pae) < 3.11
Provides:       weakremover(kernel-vanilla) < 3.11
Provides:       weakremover(kernel-xen) < 3.11
# boo#1029075
Provides:       weakremover(gpg-pubkey-3d25d3d9-36e12d04)
# to obsolete old NM libs
Provides:       weakremover(libnm-glib-vpn1)
Provides:       weakremover(libnm-glib-vpn1-32bit)
Provides:       weakremover(libnm-glib4)
Provides:       weakremover(libnm-glib4-32bit)
Provides:       weakremover(libnm-gtk-devel)
Provides:       weakremover(libnm-gtk0)
Provides:       weakremover(libnm-util2)
Provides:       weakremover(libnm-util2-32bit)
Provides:       weakremover(typelib-1_0-NMClient-1_0)
Provides:       weakremover(typelib-1_0-NMGtk-1_0)
Provides:       weakremover(typelib-1_0-NetworkManager-1_0)
# to obsolete old samba packages
Provides:       weakremover(libsamba-policy-python-devel)
Provides:       weakremover(libsamba-policy0)
Provides:       weakremover(libsamba-policy0-32bit)
Provides:       weakremover(samba-ad-dc)
Provides:       weakremover(samba-ad-dc-32bit)
Provides:       weakremover(samba-ad-dc-64bit)
Provides:       weakremover(samba-ad-dc-libs)
Provides:       weakremover(samba-ad-dc-libs-32bit)
Provides:       weakremover(samba-ad-dc-libs-64bit)
Provides:       weakremover(samba-dsdb-modules)
Provides:       weakremover(samba-libs-python)
Provides:       weakremover(samba-libs-python-32bit)
Provides:       weakremover(samba-python) 
Provides:       weakremover(libndr0)
Provides:       weakremover(libndr0-32bit)
Provides:       weakremover(python-tdb)
Provides:       weakremover(python-tdb-32bit)
Provides:       weakremover(python-tevent)
Provides:       weakremover(python-tevent-32bit)
Provides:       weakremover(python-ldb)
Provides:       weakremover(python-ldb-devel)
Provides:       weakremover(python-ldb-32bit)
Provides:       weakremover(python-talloc)
Provides:       weakremover(python-talloc-devel)
Provides:       weakremover(python-talloc-32bit)
# f2py file conflicting
Provides:       weakremover(python-numpy) 
Provides:       weakremover(python-numpy-devel) 
Provides:       weakremover(python-gtk) 
Provides:       weakremover(gimp-plugins-python) 
# some hints for the solver
Suggests:       java-11-openjdk
# preferred MTA
Suggests:       postfix
# preferred ntp daemon
Suggests:       chrony
Suggests:       openSUSE-repos-Leap
# pulling openSUSE signkey for openSUSE built KMPs bsc#1182641
%ifnarch s390x
Suggests:       openSUSE-signkey-cert
%endif
Recommends:     branding-openSUSE
Recommends:     distribution-logos-openSUSE-Leap
Recommends:     issue-generator
BuildRequires:  skelcd-control-openSUSE
BuildRequires:  skelcd-openSUSE

Source100:      weakremovers.inc
%include %{SOURCE100}
Provides:       %name-%version
Provides:       product() = Leap
Provides:       product(Leap) = 15.6-1
%ifarch x86_64
Provides:       product-register-target() = openSUSE%2DLeap%2D15.6%2Dx86_64
%endif
%ifarch aarch64
Provides:       product-register-target() = openSUSE%2DLeap%2D15.6%2Daarch64
%endif
%ifarch ppc64le
Provides:       product-register-target() = openSUSE%2DLeap%2D15.6%2Dppc64le
%endif
%ifarch s390x
Provides:       product-register-target() = openSUSE%2DLeap%2D15.6%2Ds390x
%endif
Provides:       product-label() = openSUSE%20Leap
Provides:       product-cpeid() = cpe%3A%2Fo%3Aopensuse%3Aleap%3A15.6
Provides:       product-url(releasenotes) = http%3A%2F%2Fdoc.opensuse.org%2Frelease%2Dnotes%2Fx86_64%2FopenSUSE%2FLeap%2F15.5%2Frelease%2Dnotes%2DopenSUSE.rpm
Provides:       product-url(repository) = http%3A%2F%2Fdownload.opensuse.org%2Fdistribution%2Fleap%2F15.6%2Frepo%2Foss%2F
Provides:       product-updates-repoid() = obsrepository%3A%2F%2Fbuild.opensuse.org%2FopenSUSE%3ALeap%3A15.6%3AUpdate%2Fstandard
Provides:       product-updates-repoid() = obsrepository%3A%2F%2Fbuild.opensuse.org%2FopenSUSE%3ALeap%3A15.6%3ANonFree%3AUpdate%2Fstandard
Provides:       product-updates-repoid() = obsrepository%3A%2F%2Fbuild.opensuse.org%2FopenSUSE%3ABackports%3ASLE%2D15%2DSP6%3AUpdate%2Fstandard
Provides:       product-updates-repoid() = obsrepository%3A%2F%2Fbuild.opensuse.org%2FSUSE%3ASLE%2D15%2DSP6%3AUpdate%2Fpool
Provides:       product-endoflife() = 2024%2D12%2D31
Requires:       product_flavor(Leap)


Summary:        openSUSE Leap 15.6
License:        BSD-3-Clause
Group:          System/Fhs
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
#PreReq:         coreutils
# the post scriptlets uses awk, boo#976913
Requires(post):  awk
# the post scriptlets uses ln, boo#1202546
Requires(post):  coreutils

%description
openSUSE Leap 15.6.

%package -n openSUSE-release-ftp
License:        BSD-3-Clause
Group:          System/Fhs
Provides:       product_flavor()
Provides:       flavor(ftp)
Provides:       product_flavor(Leap) = 15.6-1
Summary:        openSUSE Leap 15.6%{?betaversion: %{betaversion}}

%description ftp
openSUSE Leap 15.6.

%files ftp
%defattr(-,root,root)
%doc %{_defaultdocdir}/openSUSE-release-ftp

%package -n openSUSE-release-mini
License:        BSD-3-Clause
Group:          System/Fhs
Provides:       product_flavor()
Provides:       flavor(mini)
Provides:       product_flavor(Leap) = 15.6-1
Summary:        openSUSE Leap 15.6%{?betaversion: %{betaversion}}

%description mini
openSUSE Leap 15.6.

%files mini
%defattr(-,root,root)
%doc %{_defaultdocdir}/openSUSE-release-mini

%package -n openSUSE-release-dvd
License:        BSD-3-Clause
Group:          System/Fhs
Provides:       product_flavor()
Provides:       flavor(dvd)
Provides:       product_flavor(Leap) = 15.6-1
Summary:        openSUSE Leap 15.6%{?betaversion: %{betaversion}}

%description dvd
openSUSE Leap 15.6.

%files dvd
%defattr(-,root,root)
%doc %{_defaultdocdir}/openSUSE-release-dvd

%package -n openSUSE-release-livecd-kde
License:        BSD-3-Clause
Group:          System/Fhs
Provides:       product_flavor()
Provides:       flavor(livecd-kde)
Provides:       product_flavor(Leap) = 15.6-1
Summary:        openSUSE Leap 15.6%{?betaversion: %{betaversion}}

%description livecd-kde
openSUSE Leap 15.6.

%files livecd-kde
%defattr(-,root,root)
%doc %{_defaultdocdir}/openSUSE-release-livecd-kde

%package -n openSUSE-release-livecd-x11
License:        BSD-3-Clause
Group:          System/Fhs
Provides:       product_flavor()
Provides:       flavor(livecd-x11)
Provides:       product_flavor(Leap) = 15.6-1
Summary:        openSUSE Leap 15.6%{?betaversion: %{betaversion}}

%description livecd-x11
openSUSE Leap 15.6.

%files livecd-x11
%defattr(-,root,root)
%doc %{_defaultdocdir}/openSUSE-release-livecd-x11

%package -n openSUSE-release-livecd-xfce
License:        BSD-3-Clause
Group:          System/Fhs
Provides:       product_flavor()
Provides:       flavor(livecd-xfce)
Provides:       product_flavor(Leap) = 15.6-1
Summary:        openSUSE Leap 15.6%{?betaversion: %{betaversion}}

%description livecd-xfce
openSUSE Leap 15.6.

%files livecd-xfce
%defattr(-,root,root)
%doc %{_defaultdocdir}/openSUSE-release-livecd-xfce

%package -n openSUSE-release-livecd-gnome
License:        BSD-3-Clause
Group:          System/Fhs
Provides:       product_flavor()
Provides:       flavor(livecd-gnome)
Provides:       product_flavor(Leap) = 15.6-1
Summary:        openSUSE Leap 15.6%{?betaversion: %{betaversion}}

%description livecd-gnome
openSUSE Leap 15.6.

%files livecd-gnome
%defattr(-,root,root)
%doc %{_defaultdocdir}/openSUSE-release-livecd-gnome

%package -n openSUSE-release-usb-kde
License:        BSD-3-Clause
Group:          System/Fhs
Provides:       product_flavor()
Provides:       flavor(usb-kde)
Provides:       product_flavor(Leap) = 15.6-1
Summary:        openSUSE Leap 15.6%{?betaversion: %{betaversion}}

%description usb-kde
openSUSE Leap 15.6.

%files usb-kde
%defattr(-,root,root)
%doc %{_defaultdocdir}/openSUSE-release-usb-kde

%package -n openSUSE-release-usb-gnome
License:        BSD-3-Clause
Group:          System/Fhs
Provides:       product_flavor()
Provides:       flavor(usb-gnome)
Provides:       product_flavor(Leap) = 15.6-1
Summary:        openSUSE Leap 15.6%{?betaversion: %{betaversion}}

%description usb-gnome
openSUSE Leap 15.6.

%files usb-gnome
%defattr(-,root,root)
%doc %{_defaultdocdir}/openSUSE-release-usb-gnome

%package -n openSUSE-release-usb-x11
License:        BSD-3-Clause
Group:          System/Fhs
Provides:       product_flavor()
Provides:       flavor(usb-x11)
Provides:       product_flavor(Leap) = 15.6-1
Summary:        openSUSE Leap 15.6%{?betaversion: %{betaversion}}

%description usb-x11
openSUSE Leap 15.6.

%files usb-x11
%defattr(-,root,root)
%doc %{_defaultdocdir}/openSUSE-release-usb-x11

%package -n openSUSE-release-usb-xfce
License:        BSD-3-Clause
Group:          System/Fhs
Provides:       product_flavor()
Provides:       flavor(usb-xfce)
Provides:       product_flavor(Leap) = 15.6-1
Summary:        openSUSE Leap 15.6%{?betaversion: %{betaversion}}

%description usb-xfce
openSUSE Leap 15.6.

%files usb-xfce
%defattr(-,root,root)
%doc %{_defaultdocdir}/openSUSE-release-usb-xfce

%package -n openSUSE-release-appliance-docker
License:        BSD-3-Clause
Group:          System/Fhs
Provides:       product_flavor()
Provides:       flavor(appliance-docker)
Provides:       product_flavor(Leap) = 15.6-1
Summary:        openSUSE Leap 15.6%{?betaversion: %{betaversion}}

%description appliance-docker
openSUSE Leap 15.6.

%files appliance-docker
%defattr(-,root,root)
%doc %{_defaultdocdir}/openSUSE-release-appliance-docker

%package -n openSUSE-release-appliance-kvm
License:        BSD-3-Clause
Group:          System/Fhs
Provides:       product_flavor()
Provides:       flavor(appliance-kvm)
Provides:       product_flavor(Leap) = 15.6-1
Summary:        openSUSE Leap 15.6%{?betaversion: %{betaversion}}

%description appliance-kvm
openSUSE Leap 15.6.

%files appliance-kvm
%defattr(-,root,root)
%doc %{_defaultdocdir}/openSUSE-release-appliance-kvm

%package -n openSUSE-release-appliance-vmware
License:        BSD-3-Clause
Group:          System/Fhs
Provides:       product_flavor()
Provides:       flavor(appliance-vmware)
Provides:       product_flavor(Leap) = 15.6-1
Summary:        openSUSE Leap 15.6%{?betaversion: %{betaversion}}

%description appliance-vmware
openSUSE Leap 15.6.

%files appliance-vmware
%defattr(-,root,root)
%doc %{_defaultdocdir}/openSUSE-release-appliance-vmware

%package -n openSUSE-release-appliance-openstack
License:        BSD-3-Clause
Group:          System/Fhs
Provides:       product_flavor()
Provides:       flavor(appliance-openstack)
Provides:       product_flavor(Leap) = 15.6-1
Summary:        openSUSE Leap 15.6%{?betaversion: %{betaversion}}

%description appliance-openstack
openSUSE Leap 15.6.

%files appliance-openstack
%defattr(-,root,root)
%doc %{_defaultdocdir}/openSUSE-release-appliance-openstack

%package -n openSUSE-release-appliance-hyperv
License:        BSD-3-Clause
Group:          System/Fhs
Provides:       product_flavor()
Provides:       flavor(appliance-hyperv)
Provides:       product_flavor(Leap) = 15.6-1
Summary:        openSUSE Leap 15.6%{?betaversion: %{betaversion}}

%description appliance-hyperv
openSUSE Leap 15.6.

%files appliance-hyperv
%defattr(-,root,root)
%doc %{_defaultdocdir}/openSUSE-release-appliance-hyperv

%package -n openSUSE-release-appliance-custom
License:        BSD-3-Clause
Group:          System/Fhs
Provides:       product_flavor()
Provides:       flavor(appliance-custom)
Provides:       product_flavor(Leap) = 15.6-1
Summary:        openSUSE Leap 15.6%{?betaversion: %{betaversion}}

%description appliance-custom
openSUSE Leap 15.6.

%files appliance-custom
%defattr(-,root,root)
%doc %{_defaultdocdir}/openSUSE-release-appliance-custom

%package -n openSUSE-release-appliance-wsl
License:        BSD-3-Clause
Group:          System/Fhs
Provides:       product_flavor()
Provides:       flavor(appliance-wsl)
Provides:       product_flavor(Leap) = 15.6-1
Summary:        openSUSE Leap 15.6%{?betaversion: %{betaversion}}

%description appliance-wsl
openSUSE Leap 15.6.

%files appliance-wsl
%defattr(-,root,root)
%doc %{_defaultdocdir}/openSUSE-release-appliance-wsl



%prep
%setup -qcT
mkdir license
if [ -f /CD1/license.tar.gz ]; then
  tar -C license -xzf /CD1/license.tar.gz
elif [ -f %{_prefix}/lib/skelcd/CD1/license.tar.gz ]; then
  tar -C license -xzf %{_prefix}/lib/skelcd/CD1/license.tar.gz
fi

%build

%install
mkdir -p %{buildroot}%{_sysconfdir} %{buildroot}%{_prefix}/lib %{buildroot}/run %{buildroot}%{_prefix}/lib/issue.d

echo -e 'Welcome to \\S - Kernel \\r (\\l).\n' > %{buildroot}%{_prefix}/lib/issue.d/10-openSUSE.conf
echo -e "\n" > %{buildroot}%{_prefix}/lib/issue.d/90-openSUSE.conf

VERSION_ID=`echo %{version}|tr '[:upper:]' '[:lower:]'|sed -e 's/ //g;'`
# note: VERSION is an optional field and has no meaning other than informative on a rolling distro
# We do thus not add it to the os-release file
cat > %{buildroot}%{_prefix}/lib/os-release <<EOF
NAME="openSUSE Leap"
VERSION="%{version}%{?betaversion: %{betaversion}}"
ID="opensuse-leap"
ID_LIKE="suse opensuse"
VERSION_ID="$VERSION_ID"
PRETTY_NAME="openSUSE Leap %{version}%{?betaversion: %{betaversion}}"
ANSI_COLOR="0;32"
CPE_NAME="cpe:/o:opensuse:leap:%{version}"
BUG_REPORT_URL="https://bugs.opensuse.org"
HOME_URL="https://www.opensuse.org/"
DOCUMENTATION_URL="https://en.opensuse.org/Portal:Leap"
LOGO="distributor-logo-Leap"
EOF
ln -s ..%{_prefix}/lib/os-release %{buildroot}%{_sysconfdir}/os-release

# Install missing repositories to user's system, bsc#1186593 bsc#1186795
mkdir -p %{buildroot}%{_sysconfdir}/zypp/repos.d
cat > %{buildroot}%{_sysconfdir}/zypp/repos.d/repo-sle-update.repo << EOF
[repo-sle-update]
name=Update repository with updates from SUSE Linux Enterprise 15
enabled=1
autorefresh=1
baseurl=http://download.opensuse.org/update/leap/\$releasever/sle/
path=/
type=rpm-md
keeppackages=0
EOF

cat > %{buildroot}%{_sysconfdir}/zypp/repos.d/repo-sle-debug-update.repo << EOF
[repo-sle-debug-update]
name=Update repository with debuginfo for updates from SUSE Linux Enterprise 15
enabled=0
autorefresh=1
baseurl=http://download.opensuse.org/debug/update/leap/\$releasever/sle/
path=/
type=rpm-md
keeppackages=0
EOF

cat > %{buildroot}%{_sysconfdir}/zypp/repos.d/repo-backports-update.repo << EOF
[repo-backports-update]
name=Update repository of openSUSE Backports
enabled=1
autorefresh=1
baseurl=http://download.opensuse.org/update/leap/\$releasever/backports/
path=/
type=rpm-md
keeppackages=0
EOF

cat > %{buildroot}%{_sysconfdir}/zypp/repos.d/repo-backports-debug-update.repo << EOF
[repo-backports-debug-update]
name=Update repository with updates for openSUSE Leap debuginfo packages from openSUSE Backports
enabled=0
autorefresh=1
baseurl=http://download.opensuse.org/update/leap/\$releasever/backports_debug/
type=NONE
keeppackages=0
EOF

# bsc#949046 bsc#1187214
mkdir -p $RPM_BUILD_ROOT/etc/rpm/
echo "#" > $RPM_BUILD_ROOT/etc/rpm/macros.leap
echo "# RPM macros to identify Leap distribution" >> $RPM_BUILD_ROOT/etc/rpm/macros.leap
echo "#" >> $RPM_BUILD_ROOT/etc/rpm/macros.leap
echo "#==================================================" >> $RPM_BUILD_ROOT/etc/rpm/macros.leap
echo "" >> $RPM_BUILD_ROOT/etc/rpm/macros.leap
echo "%%sle_version %sle_version" >> $RPM_BUILD_ROOT/etc/rpm/macros.leap

echo "Have a lot of fun..." > %{buildroot}%{_sysconfdir}/motd
# Bug 404141 - /etc/YaST/control.xml should be owned by some package
mkdir -p %{buildroot}%{_sysconfdir}/YaST2/
echo %{buildroot}
if [ -f /CD1/control.xml ]; then
  install -m 644 /CD1/control.xml %{buildroot}%{_sysconfdir}/YaST2/
elif [ -f %{_prefix}/lib/skelcd/CD1/control.xml ]; then
  install -m 644 %{_prefix}/lib/skelcd/CD1/control.xml %{buildroot}%{_sysconfdir}/YaST2/
fi

# enable vendor change openSUSE,SUSE
mkdir -p %{buildroot}%{_sysconfdir}/zypp/vendors.d
echo -e "[main]\nvendors=openSUSE,SUSE,SUSE LLC <https://www.suse.com/>\n" > %{buildroot}%{_sysconfdir}/zypp/vendors.d/00-openSUSE.conf

# fate#319341, make openSUSE-release own YaST license files
# see also jsc#SLE-3067 for mess caused by SLE
install -D -d -m 755 "%{buildroot}%{_datadir}/licenses/product/base"
install -D -d -m 755 "%{buildroot}%{_defaultlicensedir}"
cp -a license "%{buildroot}%{_defaultlicensedir}/%{name}"
pushd license
# SLE compat
for i in *; do
	ln -s "%{_defaultlicensedir}/%{name}/$i" %{buildroot}%{_datadir}/licenses/product/base/$i
done

mkdir -p %{buildroot}%{_sysconfdir}/products.d
cat >%{buildroot}%{_sysconfdir}/products.d/Leap.prod << EOF
<?xml version="1.0" encoding="UTF-8"?>
<product schemeversion="0">
  <vendor>openSUSE</vendor>
  <name>Leap</name>
  <version>15.6</version>
  <release>1</release>
  <endoflife>2024-12-31</endoflife>
  <arch>%{_target_cpu}</arch>
  <cpeid>cpe:/o:opensuse:leap:15.6</cpeid>
  <productline>Leap</productline>
  <codestream>
    <name>openSUSE Leap 15</name>
    <endoflife>2024-12-31</endoflife>
  </codestream>
  <register>
    <pool>
      <repository url="http://download.opensuse.org/distribution/leap/15.6/repo/oss/">
        <zypp name="openSUSE-Leap-15.6-Pool" alias="openSUSE-Leap-15.6-Pool"/>
      </repository>
      <repository url="http://download.opensuse.org/distribution/leap/15.6/repo/non-oss/">
        <zypp name="openSUSE-Leap-15.6-NonOss-Pool" alias="openSUSE-Leap-15.6-NonOss-Pool"/>
      </repository>
    </pool>
    <updates>
      <distrotarget arch="x86_64">openSUSE-Leap-15.6-x86_64</distrotarget>
      <distrotarget arch="aarch64">openSUSE-Leap-15.6-aarch64</distrotarget>
      <distrotarget arch="ppc64le">openSUSE-Leap-15.6-ppc64le</distrotarget>
      <distrotarget arch="s390x">openSUSE-Leap-15.6-s390x</distrotarget>
      <repository project="openSUSE:Leap:15.6:Update" name="standard">
        <zypp name="openSUSE-Leap-15.6-Updates" alias="openSUSE-Leap-15.6-Updates"/>
      </repository>
      <repository project="openSUSE:Leap:15.6:NonFree:Update" name="standard">
        <zypp name="openSUSE-Leap-15.6-NonOss-Updates" alias="openSUSE-Leap-15.6-NonOss-Updates"/>
      </repository>
      <repository project="openSUSE:Backports:SLE-15-SP6:Update" name="standard">
        <zypp name="openSUSE-Backports-15.6-Updates" alias="openSUSE-Backports-15.6-Updates"/>
      </repository>
      <repository project="SUSE:SLE-15-SP6:Update" name="pool">
        <zypp name="openSUSE-SLE-15.6-Updates" alias="openSUSE-SLE-15.6-Updates"/>
      </repository>
    </updates>
  </register>
  <repositories>
    <repository type="update" repoid="obsrepository://build.opensuse.org/openSUSE:Leap:15.6:Update/standard"/>
    <repository type="update" repoid="obsrepository://build.opensuse.org/openSUSE:Leap:15.6:NonFree:Update/standard"/>
    <repository type="update" repoid="obsrepository://build.opensuse.org/openSUSE:Backports:SLE-15-SP6:Update/standard"/>
    <repository type="update" repoid="obsrepository://build.opensuse.org/SUSE:SLE-15-SP6:Update/pool"/>
  </repositories>
  <updaterepokey>000000000</updaterepokey>
  <summary>openSUSE Leap 15.6</summary>
  <shortsummary>openSUSE Leap</shortsummary>
  <description>openSUSE Leap 15.6.</description>
  <linguas>
    <language>cs</language>
    <language>da</language>
    <language>de</language>
    <language>en</language>
    <language>en_GB</language>
    <language>en_US</language>
    <language>es</language>
    <language>fi</language>
    <language>fr</language>
    <language>hu</language>
    <language>it</language>
    <language>ja</language>
    <language>nb</language>
    <language>nl</language>
    <language>pl</language>
    <language>pt</language>
    <language>pt_BR</language>
    <language>ru</language>
    <language>sv</language>
    <language>zh</language>
    <language>zh_CN</language>
    <language>zh_TW</language>
    <language>ar</language>
    <language>bg</language>
    <language>bs</language>
    <language>ca</language>
    <language>el</language>
    <language>eo</language>
    <language>et</language>
    <language>fa</language>
    <language>id</language>
    <language>ko</language>
    <language>lt</language>
    <language>sk</language>
    <language>sl</language>
    <language>uk</language>
  </linguas>
  <urls>
    <url name="releasenotes">http://doc.opensuse.org/release-notes/x86_64/openSUSE/Leap/15.5/release-notes-openSUSE.rpm</url>
    <url name="repository">http://download.opensuse.org/distribution/leap/15.6/repo/oss/</url>
  </urls>
  <buildconfig>
    <producttheme>openSUSE</producttheme>
    <betaversion>Alpha</betaversion>
    <create_flavors>true</create_flavors>
  </buildconfig>
  <installconfig>
    <defaultlang>en_US</defaultlang>
    <releasepackage name="openSUSE-release" flag="EQ" version="%{version}" release="%{release}"/>
    <distribution>openSUSE</distribution>
  </installconfig>
  <runtimeconfig/>
</product>

EOF

mkdir -p %{buildroot}%{_defaultdocdir}/openSUSE-release-ftp
cat >%{buildroot}%{_defaultdocdir}/openSUSE-release-ftp/README << EOF
This package only exists for providing the product flavor 'ftp'.

EOF

mkdir -p %{buildroot}%{_defaultdocdir}/openSUSE-release-mini
cat >%{buildroot}%{_defaultdocdir}/openSUSE-release-mini/README << EOF
This package only exists for providing the product flavor 'mini'.

EOF

mkdir -p %{buildroot}%{_defaultdocdir}/openSUSE-release-dvd
cat >%{buildroot}%{_defaultdocdir}/openSUSE-release-dvd/README << EOF
This package only exists for providing the product flavor 'dvd'.

EOF

mkdir -p %{buildroot}%{_defaultdocdir}/openSUSE-release-livecd-kde
cat >%{buildroot}%{_defaultdocdir}/openSUSE-release-livecd-kde/README << EOF
This package only exists for providing the product flavor 'livecd-kde'.

EOF

mkdir -p %{buildroot}%{_defaultdocdir}/openSUSE-release-livecd-x11
cat >%{buildroot}%{_defaultdocdir}/openSUSE-release-livecd-x11/README << EOF
This package only exists for providing the product flavor 'livecd-x11'.

EOF

mkdir -p %{buildroot}%{_defaultdocdir}/openSUSE-release-livecd-xfce
cat >%{buildroot}%{_defaultdocdir}/openSUSE-release-livecd-xfce/README << EOF
This package only exists for providing the product flavor 'livecd-xfce'.

EOF

mkdir -p %{buildroot}%{_defaultdocdir}/openSUSE-release-livecd-gnome
cat >%{buildroot}%{_defaultdocdir}/openSUSE-release-livecd-gnome/README << EOF
This package only exists for providing the product flavor 'livecd-gnome'.

EOF

mkdir -p %{buildroot}%{_defaultdocdir}/openSUSE-release-usb-kde
cat >%{buildroot}%{_defaultdocdir}/openSUSE-release-usb-kde/README << EOF
This package only exists for providing the product flavor 'usb-kde'.

EOF

mkdir -p %{buildroot}%{_defaultdocdir}/openSUSE-release-usb-gnome
cat >%{buildroot}%{_defaultdocdir}/openSUSE-release-usb-gnome/README << EOF
This package only exists for providing the product flavor 'usb-gnome'.

EOF

mkdir -p %{buildroot}%{_defaultdocdir}/openSUSE-release-usb-x11
cat >%{buildroot}%{_defaultdocdir}/openSUSE-release-usb-x11/README << EOF
This package only exists for providing the product flavor 'usb-x11'.

EOF

mkdir -p %{buildroot}%{_defaultdocdir}/openSUSE-release-usb-xfce
cat >%{buildroot}%{_defaultdocdir}/openSUSE-release-usb-xfce/README << EOF
This package only exists for providing the product flavor 'usb-xfce'.

EOF

mkdir -p %{buildroot}%{_defaultdocdir}/openSUSE-release-appliance-docker
cat >%{buildroot}%{_defaultdocdir}/openSUSE-release-appliance-docker/README << EOF
This package only exists for providing the product flavor 'appliance-docker'.

EOF

mkdir -p %{buildroot}%{_defaultdocdir}/openSUSE-release-appliance-kvm
cat >%{buildroot}%{_defaultdocdir}/openSUSE-release-appliance-kvm/README << EOF
This package only exists for providing the product flavor 'appliance-kvm'.

EOF

mkdir -p %{buildroot}%{_defaultdocdir}/openSUSE-release-appliance-vmware
cat >%{buildroot}%{_defaultdocdir}/openSUSE-release-appliance-vmware/README << EOF
This package only exists for providing the product flavor 'appliance-vmware'.

EOF

mkdir -p %{buildroot}%{_defaultdocdir}/openSUSE-release-appliance-openstack
cat >%{buildroot}%{_defaultdocdir}/openSUSE-release-appliance-openstack/README << EOF
This package only exists for providing the product flavor 'appliance-openstack'.

EOF

mkdir -p %{buildroot}%{_defaultdocdir}/openSUSE-release-appliance-hyperv
cat >%{buildroot}%{_defaultdocdir}/openSUSE-release-appliance-hyperv/README << EOF
This package only exists for providing the product flavor 'appliance-hyperv'.

EOF

mkdir -p %{buildroot}%{_defaultdocdir}/openSUSE-release-appliance-custom
cat >%{buildroot}%{_defaultdocdir}/openSUSE-release-appliance-custom/README << EOF
This package only exists for providing the product flavor 'appliance-custom'.

EOF

mkdir -p %{buildroot}%{_defaultdocdir}/openSUSE-release-appliance-wsl
cat >%{buildroot}%{_defaultdocdir}/openSUSE-release-appliance-wsl/README << EOF
This package only exists for providing the product flavor 'appliance-wsl'.

EOF


# fix cpe id to have leap in it
# product converter puts name there but we can't change name as that would
# change other things too
# sed -i -e '/cpeid/s/opensuse:15/leap:15/' %{buildroot}%{_sysconfdir}/products.d/Leap.prod

%post
# this is a base product, create symlink  bsc#1091952, openSUSE.prod -> Leap.prod bsc#1183430
if [ ! -L %{_sysconfdir}/products.d/baseproduct ] || [ -e %{_sysconfdir}/products.d/openSUSE.prod ]; then
	ln -sf Leap.prod %{_sysconfdir}/products.d/baseproduct
fi

# Upgrade path - if %{_sysconfdir}/default/grub contains any of the DISTRIBUTOR= tags
# we ever put, replace it with "", which means grub will use %{_sysconfdir}/os-release to make something up
if [ -f %{_sysconfdir}/default/grub ]; then
  DISTRIBUTOR=$(awk -F= '/^GRUB_DISTRIBUTOR/ {print $2}' %{_sysconfdir}/default/grub | tr -d '"')
  case "$DISTRIBUTOR" in
        "openSUSE" | \
        "openSUSE 13.1" | \
        "openSUSE 13.2")
                # replace GRUB_DISTRIBUTOR in %{_sysconfdir}/default/grub with ""
                sed -i "s/^GRUB_DISTRIBUTOR=.*/GRUB_DISTRIBUTOR=/" %{_sysconfdir}/default/grub
                ;;
  esac
fi

%postun
# workaround for boo#1181829#c34
if [ -L /etc/products.d/baseproduct ] ; then
    PRODLINK=`readlink -f /etc/products.d/baseproduct`
    PRODLINK=`basename $PRODLINK`
    if [ $PRODLINK == "Leap.prod" ] && [ ! -f /etc/products.d/$PRODLINK ]; then
        if [ -e /etc/products.d/SLES.prod ]; then
            ln -sf SLES.prod /etc/products.d/baseproduct
        elif [ -e /etc/products.d/SLED.prod ]; then
            ln -sf SLED.prod /etc/products.d/baseproduct
        fi
    fi
fi

%posttrans
# Launch the issue-generator: we have a new config file in /usr/lib/issue.d that needs to be represented
if [ -x %{_sbindir}/issue-generator ]; then
    if [ -x %{_bindir}/systemd-tmpfiles ]; then
      %{_bindir}/systemd-tmpfiles --create issue-generator.conf || :
    fi
    %{_sbindir}/issue-generator || :
fi

%files
%defattr(644,root,root,755)
%dir %{_datadir}/licenses/product
%{_datadir}/licenses/product/base
%license license/*
%{_sysconfdir}/os-release
%{_prefix}/lib/os-release
# Bug 404141 - /etc/YaST/control.xml should be owned by some package
%dir %{_sysconfdir}/YaST2/
%config %{_sysconfdir}/YaST2/control.xml
%config %{_sysconfdir}/rpm/macros.leap
%config %{_sysconfdir}/zypp/vendors.d/00-openSUSE.conf
%config(noreplace) %{_sysconfdir}/motd
%config(noreplace) %{_sysconfdir}/zypp/repos.d/*
%dir %{_prefix}/lib/issue.d/
%{_prefix}/lib/issue.d/10-openSUSE.conf
%{_prefix}/lib/issue.d/90-openSUSE.conf
%{_sysconfdir}/products.d
%ghost %{_sysconfdir}/products.d/baseproduct

%changelog
